add_rules("mode.debug", "mode.release")
set_languages("c++17")
if is_plat("windows") then
	add_cxxflags("/source-charset:utf-8")
end
if is_plat("mingw") then
	add_cxxflags("-Wno-unused-variable -finput-charset=utf-8 -fexec-charset=gbk")
end
if has_config("xp") then
    add_defines("_WIN32_WINNT=0x0501")
else
    add_defines("_WIN32_WINNT=0x0601")
end
add_defines("FMT_HEADER_ONLY")
add_includedirs("$(projectdir)/3rd", {public = true})
add_includedirs("$(projectdir)/build", {public = true})
includes("util", "ofen", "net", "server", "client", "filecomplete")
add_configfiles("config.h.in", {filename = "version.h"})

option("xp")
	set_default(false)
	set_showmenu(true)